package bjoerks.httprequest;

import android.app.Activity;
import android.os.Bundle;
import android.widget.TextView;
import bjoerks.net.R;
import bjoerks.net.R.id;

import java.io.BufferedReader;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.net.HttpURLConnection;
import java.net.URL;

import org.apache.http.protocol.HTTP;

public class HttpGetRequest extends Activity {
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        TextView textView1 = (TextView)this.findViewById(id.textView1);
        
        try{
            URL url = new URL("http://bjoerks.net/http/");
        	HttpURLConnection httpCon = (HttpURLConnection) url.openConnection();
        	if (httpCon.getResponseCode()==HttpURLConnection.HTTP_OK){
        		InputStream inStream = httpCon.getInputStream();
    		    InputStreamReader inReader = new InputStreamReader(inStream);
    		    BufferedReader buffReader = new BufferedReader(inReader);
        		
    		    String text;
    		    text = buffReader.readLine();
    		    while (text != null){
		    		textView1.append("\n"+text);
    		    	
        		    text = buffReader.readLine();
    		    }
    		    buffReader.close();
        	}
        	else{
        		textView1.append("\n returkode:<"+httpCon.getResponseCode()+">");
        		textView1.append("\n returmsg:<"+httpCon.getResponseMessage()+">");
        	}
        		
        }
        catch (Exception e){
    		textView1.append("\n exception-fejl:<"+e.getMessage()+">");
        }
    }
}